### Class

# AppStream ValidatorIssue

#### Description

    class AppStream.ValidatorIssue : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_validator_issue_new

Creates a new `AsValidatorIssue`.

#### Instance methods

###### as_validator_issue_get_cid

The component-id this issue is about.

###### as_validator_issue_get_explanation

Get an extended explanation on this issue, or return `NULL` if none is available.

since: 0.12.8

###### as_validator_issue_get_filename

The name of the file this issue was found in.

###### as_validator_issue_get_hint

Get a short context hint for this issue.

since: 0.12.8

###### as_validator_issue_get_line

Gets the line number where this issue was found.

###### as_validator_issue_get_location

Builds a string containing all information about the location where this issue occured that we know about.

###### as_validator_issue_get_severity

Gets the severity of this issue.

###### as_validator_issue_get_tag

Gets the issue tag string for this issue.

since: 0.12.8

###### as_validator_issue_set_cid

Sets the component-id this issue is about.

###### as_validator_issue_set_explanation

Set explanatory text for this issue.

since: 0.12.8

###### as_validator_issue_set_filename

Sets the name of the file the issue was found in.

###### as_validator_issue_set_hint

Sets short issue hint.

since: 0.12.8

###### as_validator_issue_set_line

Sets the line number where this issue was found.

###### as_validator_issue_set_severity

Sets the severity for this issue.

###### as_validator_issue_set_tag

Sets the issue tag.

since: 0.12.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamValidatorIssueClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.